package org.sharengo.wikitty.search;

// Start of user code for import

import java.io.Serializable;

// End of user code  for import

/**
 * <!-- Start of user code for NotEquals -->
 * 
 * <p>
 * NotEquals operator is used to build restriction containing "element != value"
 * where element could be an Id, a String, a multimedia, a closed list, an
 * Integer, a Float or a Date. <br>
 * <br>
 * For example, use: RestrictionHelper.neq( myElement , "REF1234567890" )
 * </p>
 * 
 * <!-- End of user code for NotEquals -->
 */
public class NotEquals extends BinaryOperator implements Serializable {

	// serialVersionUID is used for serialization.
	private static final long serialVersionUID = 1L;

	/**
	 * Default constructor
	 */
	public NotEquals() {
		super();
	}

	/**
	 * Equality test based attributes values
	 * 
	 * @param value
	 *            Value to compare
	 */
	public boolean equals(Object other) {
		if (this == other) {
			return true;
		}
		if (!(other instanceof NotEquals)) {
			return false;
		}

		final NotEquals notEquals = (NotEquals) other;

		return true;
	}

}